/*=========================================================================================
	File Name: vertical-overlay-menu.scss
	Description: A overlay style vertical menu with show and hide support. It support 
	light & dark version, filpped layout, right side icons, native scroll and borders menu 
	item seperation.
	----------------------------------------------------------------------------------------
	Item Name: Rybin - Responsive Admin Theme
	Version: 1.2
	Author: MEITS Group
	Author URL: http://www.meitsgroup.ir
==========================================================================================*/
.vertical-overlay-menu .content {
  margin-right : 0;
}

.vertical-overlay-menu .navbar .navbar-header {
  float : right;
  width : 240px;
}

.vertical-overlay-menu .navbar.navbar-brand-center .navbar-container {
  margin-right : 0;
}

.vertical-overlay-menu .navbar.navbar-brand-center .navbar-header {
  float : right;
  width : auto;
}

.vertical-overlay-menu .main-menu, .vertical-overlay-menu.menu-hide .main-menu {
  opacity : 0;
  -webkit-transform : translate3d(0, 0, 0);
     -moz-transform : translate3d(0, 0, 0);
          transform : translate3d(0, 0, 0);
  -webkit-transition : width 0.25s,opacity 0.25s,-webkit-transform 0.25s;
          transition : width 0.25s,opacity 0.25s,-webkit-transform 0.25s;
     -moz-transition : width 0.25s,opacity 0.25s,transform 0.25s,-moz-transform 0.25s;
       -o-transition : width 0.25s,opacity 0.25s,transform 0.25s,-o-transform 0.25s;
          transition : width 0.25s,opacity 0.25s,transform 0.25s;
          transition : width 0.25s,opacity 0.25s,transform 0.25s,-webkit-transform 0.25s,-moz-transform 0.25s,-o-transform 0.25s;
  width : 240px;
  right : -240px;
}
.vertical-overlay-menu .main-menu .navigation .navigation-header .icon-ellipsis {
  display : none;
}
.vertical-overlay-menu .main-menu .navigation > li > a > i {
  font-size : 1.2rem;
  margin-left : 12px;
  float : right;
}
.vertical-overlay-menu .main-menu .navigation > li > a > i:before {
  -webkit-transition : 200ms ease all;
     -moz-transition : 200ms ease all;
       -o-transition : 200ms ease all;
          transition : 200ms ease all;
}
.vertical-overlay-menu .main-menu .navigation > li > a > span {
  float : right;
}
.vertical-overlay-menu .main-menu .navigation li.has-sub > a:not(.mm-next):after {
  content : '\ea0a';
  font-family : 'icomoon';
  font-size : 1rem;
  display : inline-block;
  position : absolute;
  left : 20px;
  top : 10px;
  -webkit-transform : rotate(0deg);
     -moz-transform : rotate(0deg);
      -ms-transform : rotate(0deg);
       -o-transform : rotate(0deg);
          transform : rotate(0deg);
  transition : -webkit-transform 0.2s ease-in-out;
}
.vertical-overlay-menu .main-menu .navigation li.open > a:not(.mm-next):after {
  -webkit-transform : rotate(-90deg);
     -moz-transform : rotate(-90deg);
      -ms-transform : rotate(-90deg);
       -o-transform : rotate(-90deg);
          transform : rotate(-90deg);
}
.vertical-overlay-menu .main-menu .main-menu-footer {
  bottom : 55px;
}
.vertical-overlay-menu .main-menu .main-menu-footer {
  width : 240px;
}

.vertical-overlay-menu.menu-open .main-menu {
  opacity : 1;
  -webkit-transform : translate3d(-240px, 0, 0);
     -moz-transform : translate3d(-240px, 0, 0);
          transform : translate3d(-240px, 0, 0);
  -webkit-transition : width 0.25s,opacity 0.25s,-webkit-transform 0.25s;
          transition : width 0.25s,opacity 0.25s,-webkit-transform 0.25s;
     -moz-transition : width 0.25s,opacity 0.25s,transform 0.25s,-moz-transform 0.25s;
       -o-transition : width 0.25s,opacity 0.25s,transform 0.25s,-o-transform 0.25s;
          transition : width 0.25s,opacity 0.25s,transform 0.25s;
          transition : width 0.25s,opacity 0.25s,transform 0.25s,-webkit-transform 0.25s,-moz-transform 0.25s,-o-transform 0.25s;
}

.vertical-overlay-menu.menu-flipped .main-menu {
  left : -240px;
  right : inherit;
}

.vertical-overlay-menu.menu-flipped .navbar .navbar-container {
  margin : 0;
  margin-left : 240px;
}

.vertical-overlay-menu.menu-flipped .navbar .navbar-header {
  float : left;
}

.vertical-overlay-menu.menu-flipped.menu-open .main-menu {
  -webkit-transform : translate3d(240px, 0, 0);
     -moz-transform : translate3d(240px, 0, 0);
          transform : translate3d(240px, 0, 0);
}

@media (max-width: 991px) {
  .vertical-overlay-menu .main-menu .main-menu-footer {
    bottom : 0;
  }
}